Bug 84013 - [IVB] backlight control stops working on screen off/VT-switch
Summary: [IVB] backlight control stops working on screen off/VT-switch
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Chris Wilson
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-17 19:37 UTC by adee.edu
Modified: 2018-12-06 02:24 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg with drm.debug=6 (129.42 KB, text/plain)
2014-09-18 17:23 UTC, adee.edu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description adee.edu 2014-09-17 19:37:24 UTC
Hi

Commits 
08921e4bda0114c66270e500090e4cfd29f74d39 
and 
fda1ffb07e17469771bba7a8d53fd44c43ee3333

causing the backlight control to cease working after the screen turns off or after a VT switch. Restrating the xserver makes it working again.
Reverting those two fixes the problem.

Ubuntu 14.10 3.16.0-14-generic
xserver 1.16
Intel(R) HD Graphics 4000
Comment 1 Chris Wilson 2014-09-17 20:05:26 UTC
Could you please recompile the ddx --enable-debug=full and attach the me the Xorg.0.log, and also capture the dmesg with drm.debug=6.

Odd, 3.16 should have bl_power (or so I think). Could you also please ls -R /sys/class/backlight/
Comment 2 Jani Nikula 2014-09-18 05:45:02 UTC
(In reply to comment #1)
> Odd, 3.16 should have bl_power (or so I think). Could you also please ls -R
> /sys/class/backlight/

If you're referring to

commit 73580fb764c4213d305c0d36bd8f856ae631eb42
Author: Jani Nikula <jani.nikula@intel.com>
Date:   Tue Aug 12 17:11:41 2014 +0300

    drm/i915/dp: make backlight bl_power control power sequencer backlight

it's queued for 3.18.
Comment 3 Chris Wilson 2014-09-18 06:40:11 UTC
Yes, missed the all important "not in 3.16".
Comment 4 adee.edu 2014-09-18 17:22:25 UTC
ls -R /sys/class/backlight/
/sys/class/backlight/:
intel_backlight
Comment 5 adee.edu 2014-09-18 17:23:04 UTC
Created attachment 106520 [details]
dmesg with drm.debug=6
Comment 6 adee.edu 2014-09-18 17:45:41 UTC
Xorg log was huge (135 MB).
I had to compress it and upload somwhere else:
filebin.ca/1ametrrCDGxK/Xorg.0.log.xz
Comment 7 Chris Wilson 2014-09-18 20:16:33 UTC
So during that run, the backlight was externally cycled (i.e. not using X) from max to zero to max brightness again, then the output turned off/on. There was not a VT switch though.

What was the sequence of events you performed and the behaviour you observed?
Comment 8 adee.edu 2014-09-18 20:28:46 UTC
I modified the backlight value to a lower value (but not 0) than back to full with the Fn keys. After that I locked the screen. Waited for it to turn off. Unlocked and tried the Fn key brightness setting again. It didn't work.
Comment 9 Chris Wilson 2014-12-21 15:25:36 UTC
Odd, since you should have bl_power. At any rate, could you try with

commit 7ecc778691c452285f754743a93a46fa1d3da52f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Nov 4 10:36:26 2014 +0000

    backlight: bl_power uses 0 for on and 4 for off
    
    The backlight/bl_power file didn't obey the obvious semantics, but
    instead operates using some interesting framebuffer API. Oh well.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
Comment 10 Chris Wilson 2014-12-21 15:25:49 UTC
Odd, since you should not have bl_power. At any rate, could you try with

commit 7ecc778691c452285f754743a93a46fa1d3da52f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Nov 4 10:36:26 2014 +0000

    backlight: bl_power uses 0 for on and 4 for off
    
    The backlight/bl_power file didn't obey the obvious semantics, but
    instead operates using some interesting framebuffer API. Oh well.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
Comment 11 adee.edu 2015-01-07 17:36:27 UTC
Sorry for the late response.
The problem now seems to be fixed. Thanks.
Comment 12 Chris Wilson 2015-01-07 17:39:49 UTC
No worries! Thanks for the bug report and testing.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.